#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int N,Q,L,R;
    cin>>N>>Q;
    int A[N];
    for(int i=0;i<N;i++)
        cin>>A[i];
    while(Q>0){
        cin>>L>>R;
        int B[R];
        for(int i=0;i<R;i++)
            B[i]=L;
        if(B[R]*A[R]>A[R]+B[R])
            cout<<B[R];
        Q--;
    }
}